summaryrefslogtreecommitdiff
path: root/t/vala-vpath.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 15:57:28 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 16:28:16 +0200
commit7721f22a2c0f5b286d04427d011351602341de02 (patch)
treeb55f3e46fa9d8ef16856034337317f6b40e34d20 /t/vala-vpath.sh
parent8eda774e3d2311513a35c49d7cad5e05c5fd9e03 (diff)
parentb21d68690612214d8edd810acf11880c3c0ad586 (diff)
downloadautomake-7721f22a2c0f5b286d04427d011351602341de02.tar.gz
Merge branch 'master' into ng/master
* master: cosmetics: remove trailing whitespace in some files coverage: enhance tests in 'missing' script a little coverage: tests AM_MISSING_PROG usage docs: document AM_MISSING_PROG tests: fix a spurious failure with Solaris make tests: simpler workaround for shells losing the exit status in exit trap tests: avoid several spurious failures on Solaris tests: avoid a spurious failure on NetBSD + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/vala-vpath.sh')
-rwxr-xr-xt/vala-vpath.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/vala-vpath.sh b/t/vala-vpath.sh
index 514d0e6d8..117d08634 100755
--- a/t/vala-vpath.sh
+++ b/t/vala-vpath.sh
@@ -18,7 +18,7 @@
# See automake bug#8753.
required="cc valac"
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_CONFIG_SRCDIR([hello.vala])
@@ -74,7 +74,7 @@ grep barbarbar ../hello.c
# Rebuild rules are not uselessly triggered.
$MAKE -q
-$MAKE -n | grep '\.stamp' && Exit 1
+$MAKE -n | grep '\.stamp' && exit 1
# Cleanup rules work also in VPATH builds.
$MAKE clean